Tread reporting for facts and historical data

05/20/2011 01:47 PM - Corey Osman

Status: Duplicate   

Priority: Normal   

Assignee:    

Category:    

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Hi,

I would like to see some custom graphs and a whole new tab called "Trends" that display information about facts over time.  For

example:

I want a graph that shows my upgrade progress of RHEL4 --> RHEL5 or any other fact I choose.  I think this historical data should be

kept in an RRD like fashion.  However it could also be kept in the database.

The user should be able to choose which facts they want to keep historical data for and ultimately use for trend analysis.

This type of trend reporting is common in most snmp monitoring utilities, but trend analysis on facts is something completely different.

This type of data would be able to answer questions like:  How long did it take you to adopt RHEL5.  How long did your did it take

you to remove your last i386 system.

Related issues:

Related to Foreman - Feature #1906: Add Trends Page to track changes in Fact ... Closed 10/18/2012

History

#1 - 10/18/2012 04:49 PM - Corey Osman

similar to http://theforeman.org/issues/1906

#2 - 10/19/2012 04:20 PM - Ohad Levy

is it similiar or a duplicate?

#3 - 10/31/2012 07:07 AM - Ohad Levy

- Status changed from New to Duplicate
